/*
===============================================================================================
Color codes for easy replacement; just find these and replace with your preferred color scheme:

MAIN:
background: #ffffff (white)
text: #7d7d7d (title, social media icons, extra links, friends)

black: #000000 (celebrity name and circle)

===============================================================================================
*/

* {
	margin: 0;
	padding: 0;
}

body {
	background-color: #ffffff;
	font: 500 10px 'Rubik', sans-serif;
	color: #7d7d7d;
	line-height: 24px;
	overflow-x: hidden;
}

main {
	display: flex;
	min-height: 100vh;
	flex-direction: column;
	justify-content: space-between;
}

article {
	width: 100%;
	background-color: transparent;
	margin: 0 auto;	padding: 0;
	text-align: center;
	display: block;
	position: relative;
}

header, footer {
	width: 100%; min-height: 40px;
	margin: 20px auto; padding: 0 20px;
	background-color: transparent;
	line-height: 100%;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: space-between;
	box-sizing: border-box;
	z-index: 30;
}

header::before, footer::before {
	content: '';
	position: absolute;
	left: 0; top: 0;
	bottom: 0; right: 0;
	width: 100%; height: 24px;
	background-color: #f0f0f0;
	display: block;
	margin: auto;
	z-index: 5;
}

header h1 {
	margin: 0 auto;	padding: 0;
	background-color: transparent;
	color: #7d7d7d;
	font-size: 11px;
	font-weight: 500;
	text-align: left;
	text-transform: uppercase;
	letter-spacing: 0.2em;
	white-space: nowrap;
	flex-basis: 0; flex-grow: 1;
	position: relative;
}

header h1 span {
	padding: 0;
	display: inline-block;
	position: relative;
	z-index: 20;
}

header h1 span::before {
	content: '\f6be  \f6be  \f6be';
	font: 900 10px "Font Awesome 6 Free";
	margin: 0 16px 0 0;
	color: #515151;
	display: inline-block;
	position: relative;
	z-index: 10;
}

header #avi {
	flex-basis: 0; flex-grow: 1;
	text-align: center;
	position: relative;
	z-index: 30;
}

header #avi img {
	padding: 5px;
	width: 64px; height: 64px;
	border: 1px solid #f0f0f0;
	border-radius: 100%;
}

header #social {
	color: #7d7d7d;
	font-size: 9px;
	line-height: 100%;
	text-align: right;
	flex-basis: 0; flex-grow: 1;
	position: relative;
	z-index: 30;
}

header #social a {
	margin: 0 3px;
	color: #7d7d7d;
	text-decoration: none;
	display: inline-block;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	-o-transition: all 0.3s;
}

header #social a:hover {
	color: #000000;
}

/* MAIN SECTION */

section {
	margin: 0 auto;
	display: block;
	text-align: center;
}

section li {
	margin: 0 10px 10px 10px;
	padding: 0;
	border-radius: 5px;
	display: inline-block;
	position: relative;
	overflow: hidden;
}

section li a {
	color: inherit;
	text-decoration: none;
	position: relative;
	z-index: 15;
}
section li figure {
	width: 170px;
	margin: 0; padding: 0;
	color: #000000;
	display: inline-block;
	overflow: hidden;
	position: relative;
	z-index: 15;
}

section li figure img {
	margin: 0 auto;
	display: inline-block;
	position: relative;
	z-index: 10;
	width: 170px;
}

section li figure::before {
	content: '';
	position: absolute;
	left: 0; top: 0;
	width: 190px; height: 270px;
	background: rgb(0,0,0);
	background: -moz-linear-gradient(35deg, rgba(0,0,0,1) 0%, rgba(255,255,255,0) 50%, rgba(0,0,0,1) 100%);
	background: -webkit-linear-gradient(35deg, rgba(0,0,0,1) 0%, rgba(255,255,255,0) 50%, rgba(0,0,0,1) 100%);
	background: linear-gradient(35deg, rgba(0,0,0,1) 0%, rgba(255,255,255,0) 50%, rgba(0,0,0,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#000000",GradientType=1);
	margin: auto;
	opacity: 0.25;
	z-index: 25;
}

section li figure .site {
	padding: 3px 10px;
	background-color: #f0f0f0;
	text-align: right;
	text-transform: uppercase;
	letter-spacing: 0.075em;
	position: relative;
	display: block;
	z-index: 25;
}

section li figure .site::before {
	content: '\f192';
	position: absolute;
	top: 50%; left: 10px; bottom: 0;
	color: #000000;
	font: 900 10px "Font Awesome 6 Free";
	transform: translateY(-50%);
	display: table;
	margin: auto;
}

section li figure .info {
	position: absolute;
	left: -100%; top: 10px;
	margin: auto; padding: 0;
	color: #ffffff;
	width: 90%;
	font-size: 7px;
	line-height: 100%;
	text-align: right;
	text-transform: uppercase;
	text-decoration: none;
	letter-spacing: 0.25em;
	display: flex;
	align-items: center;
	justify-content: space-between;
	box-sizing: border-box;
	opacity: 0;	z-index: 30;
	-webkit-transition: all 0.7s;
	-moz-transition: all 0.7s;
	-o-transition: all 0.7s;
}

section li figure .info hr {
	height: 1px;
	background: rgb(255,255,255);
	background: -moz-linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
	background: -webkit-linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
	background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#ffffff",GradientType=1);
	flex-basis: 0; flex-grow: 1;
	border: none;
}

section li figure .info span {
	padding-left: 10px;
	color: #ffffff;
}

section li figure:hover .info { left: 5%; opacity: 1;}

/* EXTRAS */

#extra {
	margin: 0 auto;
	line-height: 100%;
	text-align: center;
	text-transform: uppercase;
	display: block;
	position: relative;
	z-index: 30;
}

#extra li { 
	background-color: transparent;
	color: #7d7d7d;
	margin: 5px; padding: 10px;
	letter-spacing: 0.1em;
	border-radius: 3px;
	border: 1px solid #f0f0f0;
	display: inline-block;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	-o-transition: all 0.3s;
}

#extra li a {
	color: inherit;
	text-decoration: none;
	display: inline-block;
}

#extra li:hover {
	background-color: #f0f0f0;
}

#top {
	margin: -10px 0 10px 0;
	line-height: 100%;
	text-align: center;
	display: block;
	position: relative;
	z-index: 30;
}

/* FOOTER */

footer {
	margin-top: 40px;
}

footer span {
	text-transform: uppercase;
	flex-basis: 0; flex-grow: 1;
	position: relative;
	z-index: 30;
}

footer h3 {
	margin-right: 15px;
	color: #7d7d7d;
	font-size: 11px;
	font-weight: 500;
	text-align: left;
	letter-spacing: 0.2em;
	flex-basis: 0; flex-grow: 1;
	display: inline-block;
	position: relative;
}

footer li {
	font-size: 11px;
	font-weight: 300;
	display: inline-block;
	line-height: 150%;
	letter-spacing: 0.1em;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	-o-transition: all 0.3s;
}

footer li::after {
	content: ',';
	font-size: 100%;
	color: inherit;
	position: relative;
	margin: 0 3px 0 0;
	display: inline-block;
}

footer a {
	color: inherit;
	text-decoration: none;
	display: inline-block;
	position: relative;
}

footer li:last-child::after { display: none; }
footer li:hover { color: #000000; }

#cred {
	text-align: right;
	position: relative;
	z-index: 30;
}

#cred a svg {
	padding: 10px;
	background-color: #ffffff;
	width: 18px; height: 18px;
	border: 1px solid #f0f0f0;
	border-radius: 100%;
	display: inline-block;
}

#cred a svg .st2 { fill: #7d7d7d; }

@media only screen and (max-device-width: 800px), all and (max-width: 800px) {
	header::before { height: 30%; }
	footer { padding: 0; flex-direction: column; }
	footer::before { display: none; }
	footer span { width: 100%; padding: 5px; background-color: #f0f0f0; text-align: center; box-sizing: border-box; display: block; }
	#cred { margin: 20px auto 0 auto; text-align: center; display: block; }
}

@media only screen and (max-device-width: 640px), all and (max-width: 640px) {
	section li figure .info { left: 5%; opacity: 1; }
}

@media only screen and (max-device-width: 480px), all and (max-width: 480px) {
	section li figure { width: 44vw; }
	section li figure img { width: 100%; }
}